diff --git a/lustre/tests/llmount.sh b/lustre/tests/llmount.sh
index f1d15a1b593c9a5a9a7e942638b659b242d49a99..4cb602987b1fde41c2e0f865592e47006d760873 100755
--- a/lustre/tests/llmount.sh
+++ b/lustre/tests/llmount.sh
@@ -7,7 +7,7 @@ NAME=${NAME:-local}
 config=$NAME.xml
 mkconfig=./$NAME.sh
 
-if [ ! -f $local.xml -o $mkconfig -nt $local.xml ]; then
+if [ ! -f $config -o $mkconfig -nt $config ]; then
    $mkconfig $config || exit 1
 fi
 
diff --git a/lustre/tests/llmountcleanup.sh b/lustre/tests/llmountcleanup.sh
index 8d6ff91593fa2953c72519a223dd300a8242fd4b..4e4a855b8d23dd7c29759b53319dd337c63cd91b 100755
--- a/lustre/tests/llmountcleanup.sh
+++ b/lustre/tests/llmountcleanup.sh
@@ -1,10 +1,14 @@
 #!/bin/sh
 
 LCONF=${LCONF:-../utils/lconf}
+NAME=${NAME:-local}
 
-if [ ! -f local.xml ]; then
-   ./local.sh
+config=$NAME.xml
+mkconfig=./$NAME.sh
+
+if [ ! -f $config -o $mkconfig -nt $config ]; then
+   $mkconfig $config || exit 1
 fi
 
-${LCONF} --cleanup --dump /tmp/debug local.xml
+${LCONF} --cleanup --dump /tmp/debug $config
 
diff --git a/lustre/tests/llrmount.sh b/lustre/tests/llrmount.sh
index 51a559ef9a216e7e558f5f1e22d62b9428eeaaee..f33b3ebd17ea66f1c50a675200e989dd09af10f9 100755
--- a/lustre/tests/llrmount.sh
+++ b/lustre/tests/llrmount.sh
@@ -1,9 +1,13 @@
 #!/bin/sh
 
-LCONF=../utils/lconf
+LCONF=${LCONF:-../utils/lconf}
+NAME=${NAME:-local}
 
-if [ ! -f local.xml ]; then
-   ./local.sh
+config=$NAME.xml
+mkconfig=./$NAME.sh
+
+if [ ! -f $config -o $mkconfig -nt $config ]; then
+   $mkconfig $config || exit 1
 fi
 
-${LCONF} --gdb local.xml
+${LCONF} --gdb $config || exit 2